Revert "Allow --strict-warnings with the icc compiler as well"
authorAndy Polyakov <appro@openssl.org>
Tue, 29 Aug 2017 12:29:07 +0000 (14:29 +0200)
committerAndy Polyakov <appro@openssl.org>
Wed, 30 Aug 2017 13:02:39 +0000 (15:02 +0200)
This reverts commit a610934c3bdf2c0aafc633d4245efe3df289d716.

Reviewed-by: Richard Levitte <levitte@openssl.org>
Reviewed-by: Ben Kaduk <kaduk@mit.edu>
(Merged from https://github.com/openssl/openssl/pull/4281)

Configure

index 57cdeb3..bdca5ef 100755 (executable)
--- a/Configure
+++ b/Configure
@@ -1324,8 +1324,8 @@ if (defined($config{api})) {
 if ($strict_warnings)
        {
        my $wopt;
-       die "ERROR --strict-warnings requires gcc, clang or icc"
-            unless $ecc eq 'gcc' || $ecc eq 'clang' || $ecc eq 'icc';
+       die "ERROR --strict-warnings requires gcc or clang"
+            unless $ecc eq 'gcc' || $ecc eq 'clang';
        foreach $wopt (split /\s+/, $gcc_devteam_warn)
                {
                $config{cflags} .= " $wopt" unless ($config{cflags} =~ /(?:^|\s)$wopt(?:\s|$)/)